# Method: projects.contacts.patch

- [HTTP request](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1/projects.contacts/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1/projects.contacts/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1/projects.contacts/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1/projects.contacts/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1/projects.contacts/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1/projects.contacts/patch#body.aspect)
- [Try it!](https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1/projects.contacts/patch#try-it)

Updates a contact. Note: A contact's email address cannot be changed.

### HTTP request

`PATCH https://essentialcontacts.googleapis.com/v1/{contact.name=projects/*/contacts/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `contact.name` | `string` Output only. The identifier for the contact. Format: {resourceType}/{resource_id}/contacts/{contact_id} |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The update mask applied to the resource. For the `FieldMask` definition, see <https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask> This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1/folders.contacts#Contact`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/resource-manager/docs/reference/essentialcontacts/rest/v1/folders.contacts#Contact`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).